This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 205043 - Review Request: geda-gattrib - Attribute editor for gEDA
Review Request: geda-gattrib - Attribute editor for gEDA
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
: 177413 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-02 18:04 EDT by Chitlesh GOORAH
Modified: 2008-12-25 06:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 05:46:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2006-09-02 18:04:56 EDT
Spec URL: http://chitlesh.funpic.de/rpm/geda-gattrib.spec
SRPM URL: http://chitlesh.funpic.de/rpm/geda-gattrib-20060123-3.src.rpm
Description:
Gattrib is gEDA's attribute editor. It reads a set of gschem .sch files
(schematic files), and creates a spreadsheet showing all components in
rows, with the associated component attributes listed in the columns.
It allows the user to add, modify, or delete component attributes outside
of gschem, and then save the .sch files back out. When it is completed,
it will allow the user to edit attributes attached to components, nets,
and pins. (Currently, only component attribute editing is implemented;
pin attributes are displayed only, and net attributes are TBD.)
Comment 1 Chitlesh GOORAH 2006-09-02 18:06:51 EDT
*** Bug 177413 has been marked as a duplicate of this bug. ***
Comment 2 Mamoru TASAKA 2006-09-04 03:05:13 EDT
First review of geda-gattrib.

1. From http://fedoraproject.org/wiki/Packaging/Guidelines :

   * BuildRequires:
     - libpng-devel <- required by gd-devel
                    <- required by libgeda-devel

   * Desktop files:
     - No icon is installed in a proper directory.
     fedora-gattrib.desktop says that "gattrib.{png,xpm}" should
     be installed in a proper directory.

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :

   = Nothing.

3. Other things I have noticed :

   = Nothing.
Comment 4 Mamoru TASAKA 2006-09-04 10:44:46 EDT
Well;

I just wondered why no icon are shown on Gattrib menu and
I found the problem.

Source1 has a typo:

icon=gattrib should be Icon=gattrib .

Just fix it. Then I recheck if a proper icon appears on Gattrib menu.
Comment 5 Chitlesh GOORAH 2006-09-04 17:01:31 EDT
Updated:
Spec URL: http://chitlesh.funpic.de/rpm/geda-gattrib.spec
SRPM URL: http://chitlesh.funpic.de/rpm/geda-gattrib-20060824-1.src.rpm

Example:
gattrib /usr/share/gEDA/examples/RF_Amp/RF_Amp/MSA-2643.sch
Comment 6 Mamoru TASAKA 2006-09-05 03:31:01 EDT
Well...

[tasaka1@dhcp151 geda-gattrib]$ gattrib
/usr/share/gEDA/examples/RF_Amp/RF_Amp/MSA-2643.sch
gEDA/gattrib version 20060824
gEDA/gattrib comes with ABSOLUTELY NO WARRANTY; see COPYING for more details.
This is free software, and you are welcome to redistribute it under certain
conditions; please see the COPYING file for more details.
Loading file [/usr/share/gEDA/examples/RF_Amp]
Couldn't load schematic [/usr/share/gEDA/examples/RF_Amp]
No components found in entire design!
Do you have refdeses on your components?  
Exiting. . . .

What does this mean?
Comment 7 Stuart Brorson 2006-09-05 09:49:43 EDT
I am the author of this program.

  Well...

  [tasaka1@dhcp151 geda-gattrib]$ gattrib
  /usr/share/gEDA/examples/RF_Amp/RF_Amp/MSA-2643.sch
  gEDA/gattrib version 20060824
  gEDA/gattrib comes with ABSOLUTELY NO WARRANTY; see COPYING for more details.
  This is free software, and you are welcome to redistribute it under certain
  conditions; please see the COPYING file for more details.
  Loading file [/usr/share/gEDA/examples/RF_Amp]
  Couldn't load schematic [/usr/share/gEDA/examples/RF_Amp]
  No components found in entire design!
  Do you have refdeses on your components?  
  Exiting. . . .

  What does this mean?

This is the correct behavior.  You tried loading a non-existant file.  The 
path "/usr/share/gEDA/examples/RF_Amp/RF_Amp/MSA-2643.sch" probably doesn't 
exist.  You probably want "/usr/share/gEDA/examples/RF_Amp/MSA-2643.sch" 
(remove one RF_Amp from diretory list).  

In general, gattrib will try to open your .sch file and look for valid 
components.  If it can't find then, it will bail out with the above error 
message.

I agree that the error message might be improved to say "file not found" in 
this case.  I can add that to the list of improvements I intend to do.

Stuart Brorson
Comment 8 Mamoru TASAKA 2006-09-05 10:18:49 EDT
(In reply to comment #7)

> This is the correct behavior.  You tried loading a non-existant file.  The 
> path "/usr/share/gEDA/examples/RF_Amp/RF_Amp/MSA-2643.sch" probably doesn't 
> exist.  You probably want "/usr/share/gEDA/examples/RF_Amp/MSA-2643.sch" 
> (remove one RF_Amp from diretory list).  
> 
> In general, gattrib will try to open your .sch file and look for valid 
> components.  If it can't find then, it will bail out with the above error 
> message.> 
> I agree that the error message might be improved to say "file not found" in 
> this case.  I can add that to the list of improvements I intend to do.
> 
> Stuart Brorson
> 

Hello, Stuart.

Oops... Actually /usr/share/gEDA/examples/RF_Amp/RF_Amp/MSA-2643.sch wasn't
exist... my bad......
Well, I installed geda-examples (I have not accepted geda-examples yet)
and it seems to go right.

Okay, then I recheck this package again. Thank you.
Comment 9 Mamoru TASAKA 2006-09-05 11:05:14 EDT
Okay. No problem.

This package (geda-gattrib) is APPROVED by me.
Comment 10 Chitlesh GOORAH 2008-12-21 14:51:47 EST
New Package CVS Request
=======================
Package Name: geda-gattrib
Short Description: Attribute editor for gEDA
Owners: chitlesh
Branches: EL-5
Comment 11 Kevin Fenzi 2008-12-22 22:26:22 EST
cvs done.
Comment 12 Chitlesh GOORAH 2008-12-24 10:33:07 EST
Sorry Kevin you haven't created the EL-5 branch for geda-gattrib.
Comment 13 Kevin Fenzi 2008-12-24 19:44:55 EST
Sorry, it was done in pkgdb, but for some reason didn't setup right on cvs. 
Try now? I think I have it fixed.
Comment 14 Chitlesh GOORAH 2008-12-25 06:32:18 EST
thanks it's fine now.

Note You need to log in before you can comment on or make changes to this bug.